Package uk.co.mccombe.mapping

# Class LatLongFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.co.mccombe.mapping.LatLongFormatException

All Implemented Interfaces:
  `Serializable`

public class LatLongFormatException extends Exception
An exception class for errors in Latitude and Longitude formats

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LatLongFormatException()`
Creates a new instance of `LatLongFormatException` without detail message.
`LatLongFormatException(String msg)`
Constructs an instance of `LatLongFormatException` with the specified detail message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LatLongFormatException

public LatLongFormatException()
Creates a new instance of `LatLongFormatException` without detail message.

### LatLongFormatException

public LatLongFormatException(String msg)
Constructs an instance of `LatLongFormatException` with the specified detail message.

Parameters:
  `msg` - the detail message.